%global debug_package %{nil}

Name:     smartdns
Version:  46.1
Release:  1%{?dist}
Summary:  A local DNS server to obtain the fastest website IP for the best Internet experience, support DoT, DoH.
License:  GPL-3.0
Url:      https://github.com/pymumu/smartdns
Packager: Teddysun <i@teddysun.com>
Source:   https://github.com/pymumu/smartdns/archive/refs/tags/Release%{version}.tar.gz#/%{name}-Release%{version}.tar.gz
BuildRequires: gcc make openssl-devel git

%description
SmartDNS is a local DNS server. SmartDNS accepts DNS query requests from local clients,
obtains DNS query results from multiple upstream DNS servers,
and returns the fastest access results to clients.
supports secure DNS protocols like DoT (DNS over TLS), DoH (DNS over HTTPS), better protect privacy.
Avoiding DNS pollution and improving network access speed, supports high-performance ad filtering.
Unlike dnsmasq's all-servers, smartdns returns the fastest access resolution.

%prep
%setup -q -n %{name}-Release%{version}

%build
export VER=v%{version}
%{__make}

%install
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -p -m 755 src/%{name} %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_sysconfdir}/default
%{__install} -p -m 644 etc/default/smartdns %{buildroot}%{_sysconfdir}/default/%{name}
%{__install} -d %{buildroot}%{_sysconfdir}/%{name}
%{__install} -p -m 644 etc/smartdns/smartdns.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
%{__install} -d %{buildroot}%{_unitdir}
%{__install} -p -m 644 systemd/smartdns.service %{buildroot}%{_unitdir}/%{name}.service

%files
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_sysconfdir}/default/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/smartdns.conf
%license LICENSE
%doc doc/* ReadMe.md ReadMe_en.md

%changelog
* Tue Mar 04 2025 Teddysun <i@teddysun.com> - 46.1-1
- Update version to 46.1
- commit: https://github.com/pymumu/smartdns/commit/b525170bfd627607ee5ac81f97ae0f1f4f087d6b

* Thu Jun 13 2024 Teddysun <i@teddysun.com> - 46-1
- Update version to 46
- commit: https://github.com/pymumu/smartdns/commit/07c13827bb523519a638214ed7ad76180f71a40a

* Fri Feb 09 2024 Teddysun <i@teddysun.com> - 45-1
- Update version to 45
- commit: https://github.com/pymumu/smartdns/commit/9ee27e7ba2d9789b7e007410e76c06a957f85e98

* Mon Dec 18 2023 Teddysun <i@teddysun.com> - 43-1
- Initial version 43 
- commit: https://github.com/pymumu/smartdns/commit/a19ac7eb075a772dd6981ab40d7b3f524587fc3d
